
Info = {}
Info.__index = Info

local instance = nil

function Info.new()
    if instance and instance:alive() then return instance end

    instance = Thing.new({'Info'}):extend(Info)

    instance.score = 0
    instance.life = 3

    return instance
end

function Info.instance()
    assert(instance, 'instance expects new before')

    return instance
end

function Info:draw()
    g.setColor(0, 250, 150, 200)
    g.setFont(content.fonts.normal)
    g.printf('Life: ' .. self.life .. ' Score: ' .. self.score .. ' ', 0, 10, g.getWidth(), 'right')
end

function Info:addScore(amount)
    self.score = self.score + amount
end

function Info:lostLife()
    self.life = self.life - 1
    if self.life > 0 then
        return true
    else
        self.life = 0
        return false
    end
end